import sys
import os
import utilities
from sdk import capif_invoker_connector

def showcase_capif_connector():
    """
        This method showcases how one can use the CAPIFConnector class.
    """

    capif_connector = capif_invoker_connector(config_file=utilities.get_config_file())

    capif_connector.onboard_invoker()
    print("COMPLETED")


if __name__ == "__main__":
    # Register invoker to CAPIF. This should happen exactly once
    showcase_capif_connector()
